## Function(event, treeId, treeNodes)setting.callback.onDrag

### Overview[ depends on jquery.ztree.exedit js ]

Used to capture the drag event when drag node.

If you set 'setting.callback.beforeDrag',and return false, zTree will stop drag, and will not trigger the 'onDragMove' & 'onDrag' callback.

Default: null

### Function Parameter Descriptions

#### event js event Object

event Object

#### treeId String

zTree unique identifier: treeId, the id of the containing tree.

#### treeNodes Array(JSON)

A collection of the nodes which will be dragged

### Examples of setting & function

#### 1. When drag nodes, alert the number of dragged nodes.

    function myOnDrag(event, treeId, treeNodes) {
        alert(treeNodes.length);
    };
    var setting = {
    	callback: {
    		onDrag: myOnDrag
    	}
    };
    ......